<template>
  <section>
    <el-alert
      v-show="$store.state.auth.errorMessage && $store.state.auth.errorMessage.length > 0"
      :title="$store.state.auth.errorMessage"
      @close="$store.commit('auth/setError', '')"
      type="error"/>
    <h2 class="title">
      Boilerplate
    </h2>
    <p class="subtitle">
      {{$t('page.login.subheading')}}
    </p>
    <el-form @submit.native.prevent="$store.dispatch('auth/login', {email, password})" autocomplete="on">
      <el-input :placeholder="$t('formFields.email')" v-model="email" name="email"/>
      <el-input :placeholder="$t('formFields.password')" v-model="password" name="password" type="password"/>
      <el-button class="margin-top login-button" type="primary" :loading="$store.state.auth.loading" native-type="submit">{{$t('buttons.login')}}</el-button>
    </el-form>
    <p class="margin-top">
      {{$t('page.login.signupText')}}
    </p>
    <el-button type="primary" @click="$router.replace({path: '/signup'})">{{$t('buttons.signup')}}</el-button>
  </section>
</template>

<script>

export default {
  layout: 'center',
  data() {
    return {
      email: '',
      password: ''
    }
  },
  head () {
    return {
      title: this.$t('page.login.title'),
    }
  }
}
</script>

<style lang="scss" scope>
@import '~assets/css/main';

.title {
  font-weight: 300;
  font-size: 100px;
  color: $text-color;
  letter-spacing: 1px;
  margin: 10px;
}

.subtitle {
  color: $text-color;
  margin: 10px;
}

.login-button {
  min-width: 150px;
}
</style>
